# -*- coding: utf-8 -*-
from setuphelpers import *

# registry key(s) where WAPT will find how to remove the application(s)
uninstallkey = []

def install():

    versionpaquet = control['version'].split('-',1)[0]

    def verssweet(key):
        return get_file_properties(makepath(key['install_location'],'SweetHome3D.exe'))['ProductVersion']

    install_exe_if_needed('SweetHome3D-%s-windows.exe' % versionpaquet ,silentflags='/sp /verysilent',key='Sweet Home 3D_is1',min_version=versionpaquet,get_version=verssweet)


def update_package():

    import requests
    url = requests.head('https://sourceforge.net/projects/sweethome3d/files/latest/download?source=files',proxies={}).headers['Location']
    dstexe = requests.head(url,proxies={}).headers['Location'].replace('.jar','-windows.exe')
    filename = dstexe.rsplit('/',1)[1]
    vers = filename.split('-')[1]
    print ("Latest Version : " + vers)

    exes = glob.glob('*.exe')
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    if not isfile(filename):
        print('Downloading %s from %s'%(filename,dstexe))
        wget(dstexe,filename)
    else:
        print('Already up to date, skipped')

    control.version = vers + '-0'
    control.save_control_to_wapt()


